aboutsummaryrefslogtreecommitdiff
path: root/autogen.sh
diff options
context:
space:
mode:
Diffstat (limited to 'autogen.sh')
-rwxr-xr-xautogen.sh19
1 files changed, 11 insertions, 8 deletions
diff --git a/autogen.sh b/autogen.sh
index 672b25b..82480e7 100755
--- a/autogen.sh
+++ b/autogen.sh
@@ -1,9 +1,12 @@
#!/bin/sh
-# Run this to generate all the initial makefiles, etc.
-
-libtoolize
-intltoolize --force
-aclocal
-automake --add-missing --copy --foreign
-autoconf
-./configure $@
+
+PKG_NAME="indicator-bluetooth"
+
+which gnome-autogen.sh || {
+ echo "You need gnome-common"
+ exit 1
+}
+
+USE_GNOME2_MACROS=1 \
+. gnome-autogen.sh
+